%{?build_mono}%{?!build_mono:%bcond_without mono}

%define api 1.0

%define major 4
%define libname %mklibname gpod %{major}
%define devname %mklibname gpod -d

Summary:	Library to access an iPod audio player
Name:		libgpod
Version:	0.8.3
Release:	1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gtkpod.org/
Source0:	http://prdownloads.sourceforge.net/gtkpod/%{name}-%{version}.tar.bz2
# upstreamable patch: reduce pkgconfig-related overlinking
Patch0:		libgpod-0.8.2-pkgconfig_overlinking.patch
Patch1:		libgpod-fixswig.patch
Patch2:		libgpod-0.8.3-mono4.patch
# fix segfault when opening the Playcounts file.
Patch3:		github.com-jburton-libgpod-fix-segfault.patch
BuildRequires:	gtk-doc
BuildRequires:	eject
BuildRequires:	intltool
BuildRequires:	sg3_utils-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libimobiledevice-1.0)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(udev)

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%files -f %{name}.lang
%doc README* AUTHORS
%{_bindir}/ipod-read-sysinfo-extended
/lib/udev/iphone-set-info
/lib/udev/ipod-set-info
/lib/udev/rules.d/90-libgpod.rules

#----------------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Library to access an iPod audio player
Requires:	eject
#gw this is needed to have the udev script started after connecting an ipod
Requires:	%{name}

%description -n %{libname}
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%files -n %{libname}
%{_libdir}/libgpod.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Library to access an iPod audio player
Group:		Development/C
Requires:	%{libname} = %{EVRD}
%if %{with mono}
Requires:	%{name}-sharp = %{EVRD}
%endif
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%files -n %{devname}
%doc ChangeLog
%{_libdir}/libgpod.so
%{_libdir}/libgpod.*a
%{_libdir}/pkgconfig/libgpod-%{api}.pc
%if %{with mono}
%{_libdir}/pkgconfig/libgpod-sharp.pc
%endif
%{_includedir}/gpod-%{api}/
%{_datadir}/gtk-doc/html/*

#----------------------------------------------------------------------------

%package -n python-gpod
Summary:	Python module for iPod access
Group:		Development/Python
BuildRequires:	mutagen
BuildRequires:	swig
BuildRequires:	docbook-dtd412-xml
BuildRequires:	pkgconfig(pygobject-2.0)
BuildRequires:	pkgconfig(python)
Requires:	mutagen

%description -n python-gpod
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

This is a Python binding for libgpod.

%files -n python-gpod
%{py_platsitedir}/gpod/

#----------------------------------------------------------------------------

%if %{with mono}
%package sharp
Summary:	Mono binding to libgpod for iPod access
Group:		Development/Other
BuildRequires:	gtk-sharp2
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	pkgconfig(mono)
Requires:	%{libname} = %{EVRD}

%description sharp
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

This is a Mono binding for libgpod.

%files sharp
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/libgpod-sharp*
%endif

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-gtk-doc \
	--enable-udev \
	--without-hal

%make

%install
%makeinstall_std

%if %{without mono}
rm -f %{buildroot}%{_libdir}/pkgconfig/libgpod-sharp.pc
%endif

%find_lang %{name}


%changelog

* Mon Sep 28 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.8.3-1
- (fddbde2) Updated to 0.8.3, fix segfault and add several build-time patches


